### Hierarchy

- Simple

## Index

### Constructors

- constructor

### Properties

- dirtyTest
- options

### Methods

- add
- addList
- cull
- query
- queryCallback
- remove
- removeList
- stats
- updateObject
- updateObjects

## Constructors

### constructor

- new Simple(options?: SimpleOptions): Simple

- - Defined in code/simple.ts:24

  Creates a simple cull Note, options.dirtyTest defaults to false. Set to true for much better performance--this requires additional work to ensure displayObject.dirty is set when objects change)

  #### Parameters

  - ##### options: SimpleOptions = {}

  #### Returns Simple

## Properties

### dirtyTest

dirtyTest: boolean

- Defined in code/simple.ts:23

### options

options: SimpleOptions

- Defined in code/simple.ts:22

## Methods

### add

- add(object: DisplayObjectWithCulling, staticObject?: boolean): DisplayObjectWithCulling

- - Defined in code/simple.ts:80

  add an object to be culled NOTE: for implementation, add and remove uses this.lists[0]

  #### Parameters

  - ##### object: DisplayObjectWithCulling

  - ##### Optional staticObject: boolean

  #### Returns DisplayObjectWithCulling

  object

### addList

- addList(array: DisplayObjectWithCullingArray, staticObject?: boolean): object[]

- - Defined in code/simple.ts:46

  add an array of objects to be culled, eg: `simple.addList(container.children)`

  #### Parameters

  - ##### array: DisplayObjectWithCullingArray

  - ##### Optional staticObject: boolean

  #### Returns object[]

  array

### cull

- cull(bounds: AABB, skipUpdate?: boolean): void

- - Defined in code/simple.ts:112

  cull the items in the list by changing the object.visible

  #### Parameters

  - ##### bounds: AABB

  - ##### Optional skipUpdate: boolean

  #### Returns void

### query

- query(bounds: AABB): DisplayObjectWithCulling[]

- - Defined in code/simple.ts:180

  returns an array of objects contained within bounding box

  #### Parameters

  - ##### bounds: AABB

    bounding box to search

  #### Returns DisplayObjectWithCulling[]

  - search results

### queryCallback

- queryCallback(bounds: AABB, callback: (object: DisplayObjectWithCulling) => boolean): boolean

- - Defined in code/simple.ts:202

  iterates through objects contained within bounding box stops iterating if the callback returns true

  #### Parameters

  - ##### bounds: AABB

    bounding box to search

  - ##### callback: (object: DisplayObjectWithCulling) => boolean

    - - (object: DisplayObjectWithCulling): boolean

      - #### Parameters

        - ##### object: DisplayObjectWithCulling

        #### Returns boolean

  - true if callback returned early

### remove

- remove(object: DisplayObjectWithCulling): DisplayObjectWithCulling

- - Defined in code/simple.ts:98

  remove an object added by add() NOTE: for implementation, add and remove uses this.lists[0]

  #### Parameters

  - ##### object: DisplayObjectWithCulling

  #### Returns DisplayObjectWithCulling

  object

### removeList

- removeList(array: DisplayObjectWithCullingArray): DisplayObjectWithCullingArray

- - Defined in code/simple.ts:63

  remove an array added by addList()

  #### Parameters

  - ##### array: DisplayObjectWithCullingArray

  #### Returns DisplayObjectWithCullingArray

  array

### stats

- stats(): SimpleStats

- - Defined in code/simple.ts:222

  get stats (only updated after update() is called)

  #### Returns SimpleStats

### updateObject

- updateObject(object: DisplayObjectWithCulling): void

- - Defined in code/simple.ts:166

  update the has of an object automatically called from updateObjects()

  #### Parameters

  - ##### object: DisplayObjectWithCulling

  #### Returns void

### updateObjects

- updateObjects(): void

- - Defined in code/simple.ts:132

  update the AABB for all objects automatically called from update() when calculatePIXI=true and skipUpdate=false

  #### Returns void

Generated using TypeDoc